/*
Theme Name: Lightning Child
Theme URI: 
Template: lightning
Description: 
Author: 
Tags: 
Version: 0.6.0
*/

.top-mv-img {
	margin-left: calc(50% - 50vw)!important;
	width: 100vw!important;
}
.top-mv-img.sp {
	display: none!important;
}
.top-mv-text {
	-webkit-text-stroke: .4vw #fff;
	paint-order: stroke;
}
.top-mv-text p {
	font-size: 1.5vw!important;
	text-align: right;
}
.wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date {
	color: #ddd;
}
.site-footer-copyright p {
	font-size: 12px!important;
}
.site-footer-copyright p:nth-child(2) {
	display: none;
}
.site-header-logo img {
	margin-left: 0;
}
.floating-btn {
	position: fixed;
	top: 5px;
	right: 50px;
	z-index: 9999;
}
.floating-btn a {
	display: block;
	background-color: #3f7ce6;
	color: #fff;
	padding: 7px 35px 7px 20px;
	border-radius: 50px;
	font-size: 14px;
	text-decoration: none;
	position: relative;
}
.floating-btn a:before {
	content: "";
	width: 8px;
	height: 8px;
	border-top: 1px solid #fff;
	border-right: 1px solid #fff;
	position: absolute;
	top: 50%;
	transform: translateY(-50%) rotate(45deg);
	right: 18px;
}
@media (min-width: 782px) {
	.top-mv-text {
		position: absolute;
		right: 0;
		top: 8vw;
	}
	.top-mv-text h1 {
		font-size: 3.5vw!important;
	}
	.top-mv-text p .sp {
		display: none;
	}
}
@media screen and (max-width: 768px) {
	.top-mv-img.pc {
		display: none!important;
	}
	.top-mv-img.sp {
		display: block!important;
	}
	.top-mv-text h1 {
		text-align: left;
		font-size: 22px !important;
	}
	.top-mv-text p {
		font-size: 16px!important;
		text-align: left;
	}
	.top-title-concept h2 {
		margin-top: 50px !important;
	}
	.top-product-h3 {
		font-size: 20px!important;
	}
	.top-result-h5 {
		font-size: 20px!important;
	}
	.top-result-blue {
		font-size: 18px!important;
	}
	.text-large {
		font-size: 18px!important;
	}
	.page-id-22 .wp-block-heading.service-sub-title {
		font-size: 20px!important;
	}
	.service-text {
		font-size: 16px!important;
	}
	.service-price {
		gap: 10px;
	}
	.service-price div:last-child p {
		text-align: left;
	}
	.wpcf7-form {
		padding: 30px 20px!important;
	}
}

.post-type-post .site-body,
.post-type-case .site-body,
.search-results .site-body {
	padding: 2rem 0 2rem;
}
@media (min-width: 768px) {
	.post-type-post .site-body,
	.post-type-case .site-body,
	.search-results .site-body {
		padding: 3rem 0 3.5rem;
	}
}

.type-page .veu_autoEyeCatchBox {
	display: none;
}

.type-case .entry-meta {
	display: none;
}

.post-type-archive-case .page-header {
	position: relative; /* 疑似要素の基準 */
	z-index: 1;
	display: block;
	aspect-ratio: 190 / 45;
}

.post-type-archive-case .page-header::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-image: url('https://asta-inc.info/wp-content/uploads/2026/04/case-mv_pc.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	z-index: -1; /* 背面に回す */
}

.post-type-archive-case .page-header-inner {
	margin: 0;
}

@media (max-width: 767px) {
	.post-type-archive-case .page-header::before {
		background-image: url('https://asta-inc.info/wp-content/uploads/2026/04/case-mv_sp.png');
	}
	.post-type-archive-case .page-header {
		aspect-ratio: 75 / 50;
	}
}

.post-type-archive-case .vk_post .vk_post_date {
	display: none;
}

/* 投稿一覧 */
.wp-block-columns {
	align-items: flex-start !important;
}

.vk_post.media {
	flex-direction: column;
	gap: 10px;
	border-bottom: none;
}

.media.vk_post:first-child {
	border-top: none;
}

.vk_post .media-img {
	width: 100%;
}

.vk_post .media-body {
	width: 100%;
}

@media (min-width: 992px) {
	.vk_posts .vk_post-col-lg-12 {
		width: calc(50% - 30px);
	}
}

@media (min-width: 576px) {
	.entry-body>.vk_posts>.media.vk_post-col-sm-12:first-child, .main-section>.vk_posts>.media.vk_post-col-sm-12:first-child {
		border-top: none;
	}
}

@media (min-width: 992px) {
	.entry-body>.vk_posts>.media.vk_post-col-lg-12, .main-section>.vk_posts>.media.vk_post-col-lg-12:first-child,
	.entry-body>.vk_posts>.media.vk_post-col-lg-12, .main-section>.vk_posts>.media.vk_post-col-lg-12:nth-child(2) {
		padding-top: 0;
	}
}

/* コラム詳細 */
.entry-meta-item-updated {
	display: none;
}

/* TOP 事業実績 */
.wp-block-buttons.top-result_buttom>.wp-block-button {
	width: 400px;
}
.wp-block-buttons.top-result_buttom>.wp-block-button .wp-block-button__link {
	font-size: 18px;
}
@media (max-width: 781px) {
	.wp-block-buttons.top-result_buttom>.wp-block-button {
		width: 100%;
	}
	.wp-block-buttons.top-result_buttom>.wp-block-button .wp-block-button__link {
		font-size: 16px;
	}
}

/* 問い合わせフォーム */
body .container :is(.is-layout-flow,.is-layout-constrained) .wpcf7-form p:where(:not(:last-child)) {
	margin-block-end: 5px;
	font-size: 14px;
}

/* コラム 事業実績 検索窓 */
.wp-block-search__inside-wrapper {
	display: flex;
	flex: auto;
	flex-wrap: nowrap;
	max-width: 100%;
}
.wp-block-search__inside-wrapper #wp-block-search__input-1 {
	width: 100%;
	padding: 10px 12px !important;
	border: 1px solid #ccc !important;
	border-radius: 6px !important;
	font-size: 15px;
}
.wp-block-search__inside-wrapper button {
	margin-top: 0px !important;
	width: 50%;
	padding: 10px !important;
	background: #3f7ce6 !important;
	color: #fff !important;
	border: none !important;
	border-radius: 6px !important;
	font-weight: bold;
	font-size: 15px;
	margin-left: 10px;
}

.post-type-case .veu_postList .postList_date {
	display: none;
}

.search-title {
	    text-align: center;
}